/*
 * Error_Check.h
 *
 *  Created on: Jun 16, 2022
 *      Author: max
 */

#ifndef INC_ERROR_CHECK_H_
#define INC_ERROR_CHECK_H_

#include "main.h"

typedef struct {
  uint8_t IMD_ERROR;
  uint8_t AMS_ERROR_LED;
  uint8_t IMD_ERROR_LED;

  uint8_t TS_no_voltage_error;
  uint8_t positive_AIR_or_PC_error;
  uint8_t negative_AIR_error;

  uint8_t HV_inactive;
  uint8_t negative_AIR_open;
  uint8_t positive_AIR_and_PC_open;

} ErrorFlags;

ErrorFlags CheckErrorFlags();

#endif /* INC_ERROR_CHECK_H_ */
